KDE 4.5 PyKDE API Reference

- KDE's Python API

# ScreenGraphicsItem Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.MarbleGraphicsItem
Subclasses: Marble.FrameGraphicsItem, Marble.WidgetGraphicsItem
Namespace: Marble.ScreenGraphicsItem

## Detailed Description

## Enumerations

GraphicsItemFlag | { ItemIsMovable }

## Methods

| __init__ (self, Marble.MarbleGraphicsItem parent=0)
[QPointF] | absolutePositions (self)
| changeViewport (self, Marble.ViewportParams viewport)
bool | eventFilter (self, QObject a0, QEvent a1)
Marble.ScreenGraphicsItem.GraphicsItemFlags | flags (self)
QPointF | position (self)
QPointF | positivePosition (self)
| setFlags (self, Marble.ScreenGraphicsItem.GraphicsItemFlags flags)
| setPosition (self, QPointF position)

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleGraphicsItem | parent=0
| ) |  |  |

[QPointF] absolutePositions | ( |  | self ) |

Return the absolute position of the ScreenGraphicsItem

All coordinates are counted positive and depend on the current viewport.

Positive x-coordinates are counted left-aligned from the left border of the map. Positive y-coordinates are counted top-aligned from the top border of the map.

changeViewport | ( | self, |
|  | Marble.ViewportParams | viewport
| ) |  |  |

bool eventFilter | ( | self, |
|  | QObject | a0,
|  | QEvent | a1
| ) |  |  |

Marble.ScreenGraphicsItem.GraphicsItemFlags flags | ( |  | self ) |

Returns the flags of the item.

QPointF position | ( |  | self ) |

Return the position of the ScreenGraphicsItem

Positive x-coordinates are counted left-aligned from the left border of the parent item. Negative x-coordinates are counted right-aligned from the right border of the parent item.

Positive y-coordinates are counted top-aligned from the top border of the parent item. Negative y-coordinates are counted right-aligned from the bottom border of the parent item.

QPointF positivePosition | ( |  | self ) |

Return the positive position of the ScreenGraphicsItem

All coordinates are counted positive and depend on the current viewport.

Positive x-coordinates are counted left-aligned from the left border of the parent item. Positive y-coordinates are counted top-aligned from the top border of the parent item.

setFlags | ( | self, |
|  | Marble.ScreenGraphicsItem.GraphicsItemFlags | flags
| ) |  |  |

Sets the flags to flags. All flags in flags will be enabled and all other flags will be disabled. By default all flags are disabled.

setPosition | ( | self, |
|  | QPointF | position
| ) |  |  |

Set the position of the ScreenGraphicsItem

Parameters:

  | pos | Position

Positive x-coordinates are counted left-aligned from the left border of the parent item. Negative x-coordinates are counted right-aligned from the right border of the parent item.

Positive y-coordinates are counted top-aligned from the top border of the parent item. Negative y-coordinates are counted right-aligned from the bottom border of the parent item.

## Enumeration Documentation

GraphicsItemFlag

Enumerator:

  ItemIsMovable = 0x1 |